{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}Scrumptious Recipes{% endblock title%}</title>
    <link href="{% static "css/recipes.css" %}" rel="stylesheet">

</head>
<body>
    <div id="whole-page">
    <header>
    </header>
    {%block content%}
    <main>
        <H1>Scrumptious Recipes</H1>
        <h2>All the food that's fit to eat</h2>
        <div id="recipe-grid">
            {% for recipe in recipe_list %}
            <div class="recipe-item">
                <div><h3><a class="recipe-link" href="{% url "show_recipe" recipe.id %}">{{ recipe.title }}</a></h3></div>
                <p>{{ recipe.created_on|date:"M j Y" }}</p>
                <div><img src="{{ recipe.picture }}" alt="{{ recipe.title }}" width=auto height="200"></div>
                <div><p>4.6 stars</p></div>
            </div>
            {% endfor%}
        </div>
    </main>
    {%endblock content%}
    </div>
</body>
</html>
